# Required for suid binary
%global _hardened_build 1

Name:           spnavcfg
Version:        0.2.1
Release:        5%{?dist}
Summary:        Spacenav daemon interactive configuration program

Group:          Development/Debug
License:        GPLv3+
URL:            http://spacenav.sourceforge.net/
Source0:        http://downloads.sourceforge.net/spacenav/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
Source2:        spnavcfg-48x48.png
Source3:        spnavcfg-128x128.png
Source4:        spnavcfg-256x256.png


BuildRequires:  libX11
BuildRequires:  gtk2-devel
BuildRequires:  desktop-file-utils

Requires:       spacenavd


%description
Spacenav daemon interactive configuration program.


%prep
%setup -q


%build
export CFLAGS="%{optflags}"
%configure --prefix=%{buildroot}%{_prefix}

# Patch makefile to honor CFLAGS
sed -i 's/CFLAGS =/CFLAGS +=/g' Makefile

# Remove -O3 from build flags
sed -i 's/\-O3//g' Makefile

# Patch makefile to fix missing parameter LDFLAGS
sed -i 's/pkg-config --libs gtk+-2.0/pkg-config --libs gtk+-2.0 x11/g' Makefile


make %{?_smp_mflags}


%install
make install

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install                               \
--dir=%{buildroot}%{_datadir}/applications         \
%{SOURCE1}

# Install icons
install -D %{S:2} %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
install -D %{S:3} %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
install -D %{S:4} %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/%{name}.png


%clean
rm -rf %{buildroot}


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%doc COPYING README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_datadir}/icons/hicolor/256x256/apps/%{name}.png


%changelog
* Tue May 21 2013 Richard Shaw <hobbes1069@gmail.com> - 0.2.1-5
- Fix compiler flags to meet Fedora guidelines for packages with suid binaries.
  Fixes BZ# 965522.

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 05 2012 Richard Shaw <hobbes1069@gmail.com> - 0.2.1-2
- Rebuild for GCC 4.7.0.

* Tue Aug 16 2011 Richard Shaw <hobbes1069@gmail.com> - 0.2.1-1
- Initial Release
